Skip to main content
GET
/
v1
/
moneyness
/
{ticker}
Moneyness breakdown with pattern detection
curl --request GET \
  --url https://flow-api.skylit.ai/v1/moneyness/{ticker} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "ticker": "<string>",
    "timeframe": "<string>",
    "moneynessBreakdown": {
      "calls": {
        "deepItm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "itm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "atm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "otm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "deepOtm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "totalPremium": 123,
        "totalTrades": 1
      },
      "puts": {
        "deepItm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "itm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "atm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "otm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "deepOtm": {
          "premium": 123,
          "sentiment": 0,
          "pctOfTotal": 123,
          "tradeCount": 1,
          "weightedPremium": 123
        },
        "totalPremium": 123,
        "totalTrades": 1
      }
    },
    "notablePatterns": [
      {
        "description": "<string>",
        "metrics": {
          "premium": 123,
          "pctOfTotal": 123,
          "sentiment": 123
        }
      }
    ],
    "interpretation": {}
  },
  "meta": {
    "timestamp": "2023-11-07T05:31:56Z",
    "requestId": "d7574836"
  }
}

Authorizations

Authorization
string
header
required

Skylit API key in the Authorization header (Authorization: Bearer fs_live_<key>). X-API-Key is also accepted.

Path Parameters

ticker
string
required

Underlying ticker symbol (uppercase, e.g. SPY, AAPL).

Example:

"SPY"

Query Parameters

timeframe
enum<string>
default:daily
Available options:
intraday,
daily,
7d,
30d
date
string<date>
minPremium
number<double>

Response

Moneyness breakdown with patterns + interpretation.

data
object
required
meta
object
required